diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php
index 62c03724..913d2a95 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php
@@ -2,10 +2,9 @@
 
 /**
  * @file
- * class for ldap authorization of organic groups
+ * Class for ldap authorization of organic groups.
  *
  * @see LdapAuthorizationConsumerAbstract for property
- *
  */
 
 if (function_exists('ldap_servers_module_load_include')) {
@@ -14,49 +13,43 @@ if (function_exists('ldap_servers_module_load_include')) {
 else {
   module_load_include('php', 'ldap_authorization', 'LdapAuthorizationConsumerAbstract.class');
 }
-
+/**
+ *
+ */
 class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
 
   public $consumerType = 'og_group';
   public $allowConsumerObjectCreation = FALSE;
-  public $ogVersion = NULL; // 1, 2, etc.
   public $defaultMembershipRid;
   public $anonymousRid;
   public $defaultConsumerConfProperties = array(
-      'onlyApplyToLdapAuthenticated' => TRUE,
-      'useMappingsAsFilter' => TRUE,
-      'synchOnLogon' => TRUE,
-      'revokeLdapProvisioned' => TRUE,
-      'regrantLdapProvisioned' => TRUE,
-      'createConsumers' => TRUE,
-      );
+    'onlyApplyToLdapAuthenticated' => TRUE,
+    'useMappingsAsFilter' => TRUE,
+    'synchOnLogon' => TRUE,
+    'revokeLdapProvisioned' => TRUE,
+    'regrantLdapProvisioned' => TRUE,
+    'createConsumers' => TRUE,
+  );
 
-  function __construct($consumer_type) {
+  /**
+   *
+   */
+  public function __construct($consumer_type) {
 
-    $this->ogVersion = ldap_authorization_og_og_version();
-    if ($this->ogVersion == 1) {
-      $this->defaultMembershipRid = ldap_authorization_og1_role_name_to_role_id(OG_AUTHENTICATED_ROLE);
-      $this->anonymousRid = ldap_authorization_og1_role_name_to_role_id(OG_ANONYMOUS_ROLE);
-    }
-    else {
-      //@todo these properties are not used in ldap og 2, but when they are their derivation needs to be examined and tested
-      // as they may be per entity rids, not global.
-      $this->defaultMembershipRid = NULL; // ldap_authorization_og_rid_from_role_name(OG_AUTHENTICATED_ROLE);
-      $this->anonymousRid = NULL; //ldap_authorization_og_rid_from_role_name(OG_ANONYMOUS_ROLE);
-    }
+    // @todo these properties are not used in ldap og 2, but when they are their derivation needs to be examined and tested
+    // as they may be per entity rids, not global.
+    // ldap_authorization_og_rid_from_role_name(OG_AUTHENTICATED_ROLE);
+    $this->defaultMembershipRid = NULL;
+    // ldap_authorization_og_rid_from_role_name(OG_ANONYMOUS_ROLE);
+    $this->anonymousRid = NULL;
 
     $params = ldap_authorization_og_ldap_authorization_consumer();
     parent::__construct('og_group', $params['og_group']);
   }
 
-  public function og1ConsumerIdParts($consumer_id) {
-    if (!is_scalar($consumer_id)) {
-      return array(NULL, NULL);
-    }
-    $parts = explode('-', $consumer_id);
-    return (count($parts) != 2) ? array(NULL, NULL) : $parts;
-  }
-
+  /**
+   *
+   */
   public function og2ConsumerIdParts($consumer_id) {
     if (!is_scalar($consumer_id)) {
       return array(NULL, NULL, NULL);
@@ -65,7 +58,6 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
     return (count($parts) != 3) ? array(NULL, NULL, NULL) : $parts;
   }
 
-
   /**
    * @see LdapAuthorizationConsumerAbstract::createConsumer
    *
@@ -73,7 +65,6 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
    * if a use case for generating og groups and roles on the
    * fly existed.
    */
-
   public function createConsumer($consumer_id, $consumer) {
     return FALSE;
   }
@@ -82,198 +73,104 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
    * @see LdapAuthorizationConsumerAbstract::normalizeMappings
    */
   public function normalizeMappings($mappings) {
-
     $new_mappings = array();
-    if ($this->ogVersion == 2) {
-      $group_entity_types = og_get_all_group_bundle();
-      foreach ($mappings as $i => $mapping) {
-        $from = $mapping[0];
-        $to = $mapping[1];
-        $to_parts = explode('(raw: ', $to);
-        $user_entered = $to_parts[0];
-        $new_mapping = array(
-          'from' => $from,
-          'user_entered' => $user_entered,
-          'valid' => TRUE,
-          'error_message' => '',
-        );
-
-        if (count($to_parts) == 2) { // has simplified and normalized part in (). update normalized part as validation
-          $to_normalized = trim($to_parts[1], ')');
-          /**
-           * users (node:35:1)
-           * node:students (node:21:1)
-           * faculty (node:33:2)
-           * node:35:1 (node:35:1)
-           * node:35 (node:35:1)
-           */
-
-          $to_simplified = $to_parts[0];
-          $to_simplified_parts = explode(':', trim($to_simplified));
-          $entity_type = (count($to_simplified_parts) == 1) ? 'node' : $to_simplified_parts[0];
-          $role = (count($to_simplified_parts) < 3) ? OG_AUTHENTICATED_ROLE : $to_simplified_parts[2];
-          $group_name = (count($to_simplified_parts) == 1) ? $to_simplified_parts[0] :  $to_simplified_parts[1];
-          list($group_entity, $group_entity_id) = ldap_authorization_og2_get_group_from_name($entity_type, $group_name);
-          $to_simplified = join(':', array($entity_type, $group_name));
-        }
-        else { // may be simplified or normalized, but not both
-          /**
-           * users
-           * node:students
-           * faculty
-           * node:35:1
-           * node:35
-           */
-          $to_parts = explode(':', trim($to));
-          $entity_type = (count($to_parts) == 1) ? 'node' : $to_parts[0];
-          $role = (count($to_parts) < 3) ? OG_AUTHENTICATED_ROLE : $to_parts[2];
-          $group_name_or_entity_id = (count($to_parts) == 1) ? $to_parts[0] :  $to_parts[1];
-          list($group_entity, $group_entity_id) = ldap_authorization_og2_get_group_from_name($entity_type, $group_name_or_entity_id);
-          if ($group_entity) { // if load by name works, $group_name_or_entity_id is group title
-            $to_simplified = join(':', array($entity_type, $group_name_or_entity_id));
-          }
-          else {
-            $to_simplified = FALSE;
-          }
-          $simplified = (boolean)($group_entity);
-          if (!$group_entity && ($group_entity = @entity_load_single($entity_type, $group_name_or_entity_id))) {
-            $group_entity_id = $group_name_or_entity_id;
-          }
-        }
-        if (!$group_entity) {
-          $new_mapping['normalized'] = FALSE;
-          $new_mapping['simplified'] = FALSE;
-          $new_mapping['valid'] = FALSE;
-          $new_mapping['error_message'] = t("cannot find matching group: !to", array('!to' => $to));
-        }
-        else {
-          $role_id = is_numeric($role) ? $role : ldap_authorization_og2_rid_from_role_name($entity_type, $group_entity->type, $group_entity_id, $role);
-          $roles = og_roles($entity_type,  isset($group_entity->type) ? $group_entity->type : NULL, 0, FALSE, TRUE);
-          $role_name = is_numeric($role) ? $roles[$role] : $role;
-          $to_normalized = join(':', array($entity_type, $group_entity_id, $role_id));
-          $to_simplified = ($to_simplified) ? $to_simplified . ':' . $role_name : $to_normalized;
-          $new_mapping['normalized'] = $to_normalized;
-          $new_mapping['simplified'] = $to_simplified;
-          if ($to == $to_normalized) {
-            /**  if not using simplified notation, do not convert to simplified.
-              this would create a situation where an og group
-              can change its title and the authorizations change when the
-              admin specified the group by entity id
-            */
-            $new_mapping['user_entered'] = $to;
-          }
-          else {
-            $new_mapping['user_entered'] = $to_simplified . ' (raw: ' . $to_normalized . ')';
-          }
-
-
-        }
+    $group_entity_types = og_get_all_group_bundle();
+    foreach ($mappings as $i => $mapping) {
+      $from = $mapping[0];
+      $to = $mapping[1];
+      $to_parts = explode('(raw: ', $to);
+      $user_entered = $to_parts[0];
+      $new_mapping = array(
+        'from' => $from,
+        'user_entered' => $user_entered,
+        'valid' => TRUE,
+        'error_message' => '',
+      );
 
-        $new_mappings[] = $new_mapping;
+      // Has simplified and normalized part in (). update normalized part as validation.
+      if (count($to_parts) == 2) {
+        $to_normalized = trim($to_parts[1], ')');
+        /**
+         * users (node:35:1)
+         * node:students (node:21:1)
+         * faculty (node:33:2)
+         * node:35:1 (node:35:1)
+         * node:35 (node:35:1)
+         */
+
+        $to_simplified = $to_parts[0];
+        $to_simplified_parts = explode(':', trim($to_simplified));
+        $entity_type = (count($to_simplified_parts) == 1) ? 'node' : $to_simplified_parts[0];
+        $role = (count($to_simplified_parts) < 3) ? OG_AUTHENTICATED_ROLE : $to_simplified_parts[2];
+        $group_name = (count($to_simplified_parts) == 1) ? $to_simplified_parts[0] : $to_simplified_parts[1];
+        list($group_entity, $group_entity_id) = ldap_authorization_og2_get_group_from_name($entity_type, $group_name);
+        $to_simplified = join(':', array($entity_type, $group_name));
       }
-    }
-    else { // og 1
-      foreach ($mappings as $i => $mapping) {
-        $new_mapping = array(
-          'from' => $mapping[0],
-          'user_entered' => $mapping[1],
-          'normalized' => NULL,
-          'simplified' => NULL,
-          'valid' => TRUE,
-          'error_message' => '',
-        );
-
-        $gid = NULL;
-        $rid = NULL;
-        $correct_syntax = "gid=43,rid=2 or group-name=students,role-name=member or node.title=students,role-name=member";
-        $incorrect_syntax = t('Incorrect mapping syntax.  Correct examples are:') . $correct_syntax;
-        $targets = explode(',', $mapping[1]);
-        if (count($targets) != 2) {
-          $new_mapping['valid'] = FALSE;
-          $new_mapping['error_message'] = $incorrect_syntax;
-          continue;
-        }
-
-        $group_target_and_value =  explode('=', $targets[0]);
-        if (count($group_target_and_value) != 2) {
-          $new_mapping['valid'] = FALSE;
-          $new_mapping['error_message'] = $incorrect_syntax;
-          continue;
-        }
-
-        list($group_target, $group_target_value) = $group_target_and_value;
-
-        $role_target_and_value = explode('=', $targets[1]);
-        if (count($role_target_and_value) != 2) {
-          $new_mapping['valid'] = FALSE;
-          $new_mapping['error_message'] = $incorrect_syntax;
-          continue;
-        }
-        list($role_target, $role_target_value) = $role_target_and_value;
-
-
-        $og_group = FALSE;
-        if ($group_target == 'gid') {
-          $gid = $group_target_value;
-        }
-        elseif ($group_target == 'group-name') {
-          list($og_group, $og_node) = ldap_authorization_og1_get_group($group_target_value, 'group_name', 'object');
-          if (is_object($og_group) && property_exists($og_group, 'gid') && $og_group->gid) {
-            $gid = $og_group->gid;
-          }
+      // May be simplified or normalized, but not both.
+      else {
+        /**
+         * users
+         * node:students
+         * faculty
+         * node:35:1
+         * node:35
+         */
+        $to_parts = explode(':', trim($to));
+        $entity_type = (count($to_parts) == 1) ? 'node' : $to_parts[0];
+        $role = (count($to_parts) < 3) ? OG_AUTHENTICATED_ROLE : $to_parts[2];
+        $group_name_or_entity_id = (count($to_parts) == 1) ? $to_parts[0] : $to_parts[1];
+        list($group_entity, $group_entity_id) = ldap_authorization_og2_get_group_from_name($entity_type, $group_name_or_entity_id);
+        // If load by name works, $group_name_or_entity_id is group title.
+        if ($group_entity) {
+          $to_simplified = join(':', array($entity_type, $group_name_or_entity_id));
         }
         else {
-          $entity_type_and_field = explode('.', $group_target);
-          if (count($entity_type_and_field) != 2) {
-            $new_mapping['valid'] = FALSE;
-            $new_mapping['error_message'] = $incorrect_syntax;
-            continue;
-          }
-          list($entity_type, $field) = $entity_type_and_field;
-
-          $query = new EntityFieldQuery();
-          $query->entityCondition('entity_type', $entity_type)
-            ->fieldCondition($field, 'value', $group_target_value, '=')
-            ->addMetaData('account', user_load(1)); // run the query as user 1
-
-          $result = $query->execute();
-          if (is_array($result) && isset($result[$entity_type]) && count($result[$entity_type]) == 1) {
-            $entities = array_keys($result[$entity_type]);
-            $gid = ldap_authorization_og1_entity_id_to_gid($entities[0]);
-          }
-
+          $to_simplified = FALSE;
         }
-        if (!$og_group && $gid) {
-          $og_group = og_load($gid);
+        $simplified = (boolean) ($group_entity);
+        if (!$group_entity && ($group_entity = @entity_load_single($entity_type, $group_name_or_entity_id))) {
+          $group_entity_id = $group_name_or_entity_id;
         }
-
-
-        if ($role_target == 'rid') {
-          $role_name = ldap_authorization_og1_role_name_from_rid($role_target_value);
-          $rid = $role_target_value;
+      }
+      if (!$group_entity) {
+        $new_mapping['normalized'] = FALSE;
+        $new_mapping['simplified'] = FALSE;
+        $new_mapping['valid'] = FALSE;
+        $new_mapping['error_message'] = t("cannot find matching group: !to", array('!to' => $to));
+      }
+      else {
+        $role_id = is_numeric($role) ? $role : ldap_authorization_og2_rid_from_role_name($entity_type, $group_entity->type, $group_entity_id, $role);
+        $roles = og_roles($entity_type, isset($group_entity->type) ? $group_entity->type : NULL, 0, FALSE, TRUE);
+        $role_name = is_numeric($role) ? $roles[$role] : $role;
+        $to_normalized = join(':', array($entity_type, $group_entity_id, $role_id));
+        $to_simplified = ($to_simplified) ? $to_simplified . ':' . $role_name : $to_normalized;
+        $new_mapping['normalized'] = $to_normalized;
+        $new_mapping['simplified'] = $to_simplified;
+        if ($to == $to_normalized) {
+          /**  if not using simplified notation, do not convert to simplified.
+           * this would create a situation where an og group
+           * can change its title and the authorizations change when the
+           * admin specified the group by entity id
+           */
+          $new_mapping['user_entered'] = $to;
         }
-        elseif ($role_target == 'role-name') {
-          $rid = ldap_authorization_og_rid_from_role_name($role_target_value);
-          $role_name = $role_target_value;
+        else {
+          $new_mapping['user_entered'] = $to_simplified . ' (raw: ' . $to_normalized . ')';
         }
 
-        $new_mapping['simplified'] = $og_group->label . ', '. $role_name;
-        $new_mapping['normalized'] = ($gid && $rid) ? ldap_authorization_og_authorization_id($gid, $rid) : FALSE;
-
-        $new_mappings[] = $new_mapping;
       }
 
+      $new_mappings[] = $new_mapping;
     }
     return $new_mappings;
   }
 
-/**
- * in organic groups 7.x-1.x, consumer ids are in form gid-rid such as 3-2, 3-3.  We want highest authorization available granted.
- * But, granting member role (2), revokes other roles such as admin in OG.  So for granting we want the order:
- * 3-1, 3-2, 3-3 such that 3-3 is retained.  For revoking, the order should not matter, but reverse sorting makes
- * intuitive sense.
- */
-
+  /**
+   * In organic groups 7.x-1.x, consumer ids are in form gid-rid such as 3-2, 3-3.  We want highest authorization available granted.
+   * But, granting member role (2), revokes other roles such as admin in OG.  So for granting we want the order:
+   * 3-1, 3-2, 3-3 such that 3-3 is retained.  For revoking, the order should not matter, but reverse sorting makes
+   * intuitive sense.
+   */
   public function sortConsumerIds($op, &$consumers) {
     if ($op == 'revoke') {
       krsort($consumers, SORT_STRING);
@@ -286,108 +183,65 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
   /**
    * @see LdapAuthorizationConsumerAbstract::populateConsumersFromConsumerIds
    */
-
   public function populateConsumersFromConsumerIds(&$consumers, $create_missing_consumers = FALSE) {
 
-    // generate a query for all og groups of interest
+    // Generate a query for all og groups of interest.
     $gids = array();
     foreach ($consumers as $consumer_id => $consumer) {
-      if (ldap_authorization_og_og_version() == 1) {
-        list($gid, $rid) = $this->og1ConsumerIdParts($consumer_id);
-        $gids[] = $gid;
-      }
-      else  {
-        list($entity_type, $gid, $rid) = explode(':', $consumer_id);
-        $gids[$entity_type][] = $gid;
-      }
+      list($entity_type, $gid, $rid) = explode(':', $consumer_id);
+      $gids[$entity_type][] = $gid;
 
     }
-    if (ldap_authorization_og_og_version() == 1) {
-      $og_group_entities = og_load_multiple($gids);
-    }
-    else {
-      foreach ($gids as $entity_type => $gid_x_entity) {
-        $og_group_entities[$entity_type] = @entity_load($entity_type, $gid_x_entity);
-      }
+
+    foreach ($gids as $entity_type => $gid_x_entity) {
+      $og_group_entities[$entity_type] = @entity_load($entity_type, $gid_x_entity);
     }
 
     foreach ($consumers as $consumer_id => $consumer) {
-      if (ldap_authorization_og_og_version() == 1) {
-        list($gid, $rid) = $this->og1ConsumerIdParts($consumer_id);
-        $consumer['exists'] = isset($og_group_entities[$gid]);
-        if ($consumer['exists']) {
-          $consumer['value'] = $og_group_entities[$gid];
-          if (empty($consumer['name']) && property_exists($og_group_entities[$gid], 'title')) {
-            $consumer['name'] = $og_group_entities[$gid]->title;
-          }
-          $consumer['name'] =  $consumer_id;
-        }
-        else {
-          $consumer['value'] = NULL;
-          $consumer['name'] = NULL;
-        }
-
-        $consumer['map_to_string'] = $consumer_id;
-      }
-      else  {
-        list($entity_type, $gid, $rid) = explode(':', $consumer_id);
-        $consumer['exists'] = isset($og_group_entities[$entity_type][$gid]);
-        $consumer['value'] = ($consumer['exists']) ? $og_group_entities[$entity_type][$gid] : NULL;
-        $consumer['map_to_string'] = $consumer_id;
-        if (
-          empty($consumer['name']) &&
-          !empty($og_group_entities[$entity_type][$gid]) &&
-          property_exists($og_group_entities[$entity_type][$gid], 'title')
-        ) {
-          $consumer['name'] = $og_group_entities[$entity_type][$gid]->title;
-        }
+      list($entity_type, $gid, $rid) = explode(':', $consumer_id);
+      $consumer['exists'] = isset($og_group_entities[$entity_type][$gid]);
+      $consumer['value'] = ($consumer['exists']) ? $og_group_entities[$entity_type][$gid] : NULL;
+      $consumer['map_to_string'] = $consumer_id;
+      if (
+        empty($consumer['name']) &&
+        !empty($og_group_entities[$entity_type][$gid]) &&
+        property_exists($og_group_entities[$entity_type][$gid], 'title')
+      ) {
+        $consumer['name'] = $og_group_entities[$entity_type][$gid]->title;
       }
 
       if (!$consumer['exists'] && $create_missing_consumers) {
-         // @todo if creation of og groups were implemented, function would be called here
-         // this would mean mapping would need to have enough info to configure a group,
-         // or settings would need to include a default group type to create (entity type,
-         // bundle, etc.)
+        // @todo if creation of og groups were implemented, function would be called here
+        // this would mean mapping would need to have enough info to configure a group,
+        // or settings would need to include a default group type to create (entity type,
+        // bundle, etc.)
       }
       $consumers[$consumer_id] = $consumer;
     }
   }
 
-
+  /**
+   *
+   */
   public function hasAuthorization(&$user, $consumer_id) {
-
-    if ($this->ogVersion == 1) {
-      $result = FALSE;
-      list($gid, $rid) = $this->og1ConsumerIdParts($consumer_id);
-      return ldap_authorization_og1_has_membership($gid, $user->uid) && ldap_authorization_og1_has_role($gid, $user->uid, $rid);
-    }
-    else {
-      return ldap_authorization_og2_has_consumer_id($consumer_id, $user->uid);
-    }
+    return ldap_authorization_og2_has_consumer_id($consumer_id, $user->uid);
   }
 
-  
+  /**
+   *
+   */
   public function flushRelatedCaches($consumers = NULL, $user = NULL) {
     if ($user) {
-      $this->usersAuthorizations($user, TRUE, FALSE); // clear user authorizations cache
-    }
-    
-    if ($this->ogVersion == 1) {
-      og_group_membership_invalidate_cache();
-    }
-    else {
-      og_membership_invalidate_cache();
+      // Clear user authorizations cache.
+      $this->usersAuthorizations($user, TRUE, FALSE);
     }
-    
+
+    og_membership_invalidate_cache();
+
     if ($consumers) {
       $gids_to_clear_cache = array();
       foreach ($consumers as $i => $consumer_id) {
-        if ($this->ogVersion == 1) { // og 7.x-1.x
-          list($gid, $rid) = $this->og1ConsumerIdParts($consumer_id);
-        }
-        else {
-          list($entity_type, $gid, $rid) = $this->og2ConsumerIdParts($consumer_id);
-        }
+        list($entity_type, $gid, $rid) = $this->og2ConsumerIdParts($consumer_id);
         $gids_to_clear_cache[$gid] = $gid;
       }
       og_invalidate_cache(array_keys($gids_to_clear_cache));
@@ -397,41 +251,26 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
     }
   }
 
- /**
-   * @param string $op 'grant' or 'revoke' signifying what to do with the $consumer_ids
+  /**
+   * @param string $op
+   *   'grant' or 'revoke' signifying what to do with the $consumer_ids.
    * @param drupal user object $object
-   * @param array $user_auth_data is array specific to this consumer_type.  Stored at $user->data['ldap_authorizations'][<consumer_type>]
-   * @param $consumers as associative array in form of LdapAuthorizationConsumerAbstract::populateConsumersFromConsumerIds
-   * @param array $ldap_entry, when available user's ldap entry.
-   * @param boolean $user_save indicates is user data array should be saved or not.  this is always overridden for og
+   * @param array $user_auth_data
+   *   is array specific to this consumer_type.  Stored at $user->data['ldap_authorizations'][<consumer_type>].
+   * @param $consumers
+   *   as associative array in form of LdapAuthorizationConsumerAbstract::populateConsumersFromConsumerIds
+   * @param array $ldap_entry,
+   *   when available user's ldap entry.
+   * @param bool $user_save
+   *   indicates is user data array should be saved or not.  this is always overridden for og.
    */
   public function authorizationDiff($existing, $desired) {
-    if ($this->ogVersion != 1) {
-      return parent::authorizationDiff($existing, $desired);
-    }
-
-    /**
-     * for og 1.5, goal is not to recognize X-2 consumer ids if X-N exist
-     * since X-2 consumer ids are granted as a prerequisite of X-N
-     */
-
-    $diff = array_diff($existing, $desired);
-    $desired_group_ids = array();
-    foreach ($desired as $i => $consumer_id) {
-      list($gid, $rid) = $this->og1ConsumerIdParts($consumer_id);
-      $desired_group_ids[$gid] = TRUE;
-    }
-    foreach ($diff as $i => $consumer_id) {
-      list($gid, $rid) = $this->og1ConsumerIdParts($consumer_id);
-      // if there are still roles in this group that are desired, do
-      // not remove default mambership role id
-      if ($rid == $this->defaultMembershipRid && !empty($desired_group_ids[$gid])) {
-        unset($diff[$i]);
-      }
-    }
-    return $diff;
+    return parent::authorizationDiff($existing, $desired);
   }
 
+  /**
+   *
+   */
   protected function grantsAndRevokes($op, &$user, &$user_auth_data, $consumers, &$ldap_entry = NULL, $user_save = TRUE) {
 
     if (!is_array($user_auth_data)) {
@@ -472,23 +311,17 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
       }
       $log = "consumer_id=$consumer_id, op=$op,";
 
-      $user_has_authorization = in_array($consumer_id, $users_authorization_consumer_ids); // does user already have authorization ?
-      $user_has_authorization_recorded = isset($user_auth_data[$consumer_id]);  // is authorization attribute to ldap_authorization_og in $user->data ?
-      
-      if ($this->ogVersion == 1) {
-        list($gid, $rid) = $this->og1ConsumerIdParts($consumer_id);
-        if ($rid == $this->anonymousRid) {
-          continue;
-        }
-      }
-      else {
-        list($entity_type, $gid, $rid) = $this->og2ConsumerIdParts($consumer_id);
-      }
-      
+      // Does user already have authorization ?
+      $user_has_authorization = in_array($consumer_id, $users_authorization_consumer_ids);
+      // Is authorization attribute to ldap_authorization_og in $user->data ?
+      $user_has_authorization_recorded = isset($user_auth_data[$consumer_id]);
+
+      list($entity_type, $gid, $rid) = $this->og2ConsumerIdParts($consumer_id);
+
       /** grants **/
       if ($op == 'grant') {
         if ($user_has_authorization && !$user_has_authorization_recorded) {
-        // grant case 1: authorization id already exists for user, but is not ldap provisioned.  mark as ldap provisioned, but don't regrant
+          // Grant case 1: authorization id already exists for user, but is not ldap provisioned.  mark as ldap provisioned, but don't regrant.
           $results[$consumer_id] = TRUE;
           $user_auth_data[$consumer_id] = array(
             'date_granted' => time(),
@@ -498,56 +331,48 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
           $log .= $consumer_id;
         }
         elseif (!$user_has_authorization && $consumer['exists']) {
-        // grant case 2: consumer exists, but user is not member. grant authorization
-          if ($this->ogVersion == 1) {
-            $og_actions['grants'][$gid][] = $rid;
-          }
-          else {
-            $og_actions['grants'][$entity_type][$gid][] = $rid;
-          }
+          // Grant case 2: consumer exists, but user is not member. grant authorization.
+          $og_actions['grants'][$entity_type][$gid][] = $rid;
           $log .= "grant case 2: consumer exists, but user is not member. grant authorization";
-          $log .= " ".$entity_type . ":" . $gid .":" . $rid;
+          $log .= " " . $entity_type . ":" . $gid . ":" . $rid;
         }
         elseif ($consumer['exists'] !== TRUE) {
-        // grant case 3: something is wrong. consumers should have been created before calling grantsAndRevokes
+          // Grant case 3: something is wrong. consumers should have been created before calling grantsAndRevokes.
           $results[$consumer_id] = FALSE;
           $log .= "grant case 3: something is wrong. consumers should have been created before calling grantsAndRevokes";
-          $log .= " ".$consumer_id;        }
+          $log .= " " . $consumer_id;
+        }
         elseif ($consumer['exists'] === TRUE) {
-        // grant case 4: consumer exists and user has authorization recorded. do nothing
+          // Grant case 4: consumer exists and user has authorization recorded. do nothing.
           $results[$consumer_id] = TRUE;
           $log .= "grant case 4: consumer exists and user has authorization recorded. do nothing";
-          $log .= " ".$consumer_id;
+          $log .= " " . $consumer_id;
         }
         else {
-        // grant case 5: $consumer['exists'] has not been properly set before calling function
+          // Grant case 5: $consumer['exists'] has not been properly set before calling function.
           $results[$consumer_id] = FALSE;
           watchdog('ldap_authorization', "grantsAndRevokes consumer[exists] not properly set. consumer_id=$consumer_id, op=$op, username=%username", $watchdog_tokens, WATCHDOG_ERROR);
-            $log .= "grantsAndRevokes consumer[exists] not properly set. consumer_id=$consumer_id, op=$op, username=%username";
-          }
-          $consumer_ids_log .= $log;      }
+          $log .= "grantsAndRevokes consumer[exists] not properly set. consumer_id=$consumer_id, op=$op, username=%username";
+        }
+        $consumer_ids_log .= $log;
+      }
       /** revokes **/
       elseif ($op == 'revoke') {
         if ($user_has_authorization) {
-          // revoke case 1: user has authorization, revoke it.  revokeSingleAuthorization will remove $user_auth_data[$consumer_id]
-          if ($this->ogVersion == 1) {
-            $og_actions['revokes'][$gid][] = $rid;
-          }
-          else {
-            $og_actions['revokes'][$entity_type][$gid][] = $rid;
-          }
+          // Revoke case 1: user has authorization, revoke it.  revokeSingleAuthorization will remove $user_auth_data[$consumer_id].
+          $og_actions['revokes'][$entity_type][$gid][] = $rid;
           $log .= "revoke case 1: user has authorization, revoke it.  revokeSingleAuthorization will remove $consumer_id";
-          $log .=" ".$entity_type . ":" . $gid .":" . $rid ;          
+          $log .= " " . $entity_type . ":" . $gid . ":" . $rid;
         }
-        elseif ($user_has_authorization_recorded)  {
-          // revoke case 2: user does not have authorization, but has record of it. remove record of it.
+        elseif ($user_has_authorization_recorded) {
+          // Revoke case 2: user does not have authorization, but has record of it. remove record of it.
           unset($user_auth_data[$consumer_id]);
           $results[$consumer_id] = TRUE;
           $log .= "revoke case 2: user does not have authorization, but has record of it. remove record of it.";
           $log .= $consumer_id;
         }
         else {
-          // revoke case 3: trying to revoke something that isn't there
+          // Revoke case 3: trying to revoke something that isn't there.
           $results[$consumer_id] = TRUE;
           $log .= "revoke case 3: trying to revoke something that isn't there";
           $log .= $consumer_id;
